Subject: Re: Revert 737a3bb9416ce2a7c7a4170852473a4fcc9c67e8 ?

From: Michel Dänzer <[email-masked]>
Date: Thu, 07 Apr 2011 16:04:35 +0200

On Mit, 2011-04-06 at 22:43 +0200, Gabriel Paubert wrote: 
> 
> The probem is that, at least on one of my machines, the new driver
> does not work: the system hangs (apparently solid, but it's before
> networking starts up and I've not yet hooked up a serial console), 
> after the "radeon: ib pool ready" message.

Does radeon.agpmode=-1 radeon.no_wb=1 help?

You might be able to get more information via netconsole if you prevent
the radeon module from loading automatically (or load it with
radeon.modeset=0 first) and then load it e.g. via ssh with modeset=1.

It would be interesting to see at least all agp/drm/radeon related
kernel messages before the problem occurs.

-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer